### Method

# SpiceClientGLib MainChannel clipboard_selection_grab

since: 0.35

#### Declaration [src]

    void
    spice_main_channel_clipboard_selection_grab (
      SpiceMainChannel* channel,
      guint selection,
      guint32* types,
      int ntypes
    )

#### Description [src]

Grab the guest clipboard, with #VD_AGENT_CLIPBOARD `types`.

Available since: 0.35

#### Parameters

`selection`

  Type: `guint`

  One of the clipboard #VD_AGENT_CLIPBOARD_SELECTION_*.

`types`

  Type: An array of `guint32`

  An array of #VD_AGENT_CLIPBOARD types available in the clipboard.

  The length of the array is specified in the `ntypes` argument.
  The data is owned by the caller of the method.

`ntypes`

  Type: `int`

  The number of `types`.